<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Environment.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Code Coverage for Zookeeper manuall provided Classes</a> &gt; <a href="index.source.html" class="el_package">org.apache.zookeeper</a> &gt; <span class="el_source">Environment.java</span></div><h1>Environment.java</h1><pre class="source lang-java linenums">/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * &quot;License&quot;); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.zookeeper;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Provide insight into the runtime environment.
 *
 */
<span class="nc" id="L33">public class Environment {</span>
<span class="fc" id="L34">    public static String JAAS_CONF_KEY = &quot;java.security.auth.login.config&quot;;</span>

<span class="nc" id="L36">    public static class Entry {</span>
        private String k;
        private String v;
<span class="fc" id="L39">        public Entry(String k, String v) {</span>
<span class="fc" id="L40">            this.k = k;</span>
<span class="fc" id="L41">            this.v = v;</span>
<span class="fc" id="L42">        }</span>
<span class="fc" id="L43">        public String getKey() { return k; }</span>
<span class="fc" id="L44">        public String getValue() { return v; }</span>
        
        @Override
        public String toString() {
<span class="fc" id="L48">            return k + &quot;=&quot; + v;</span>
        }
    }

    private static void put(ArrayList&lt;Entry&gt; l, String k, String v) {
<span class="fc" id="L53">        l.add(new Entry(k,v));</span>
<span class="fc" id="L54">    }</span>

    public static List&lt;Entry&gt; list() {
<span class="fc" id="L57">        ArrayList&lt;Entry&gt; l = new ArrayList&lt;Entry&gt;();</span>
<span class="fc" id="L58">        put(l, &quot;zookeeper.version&quot;, Version.getFullVersion());</span>

        try {
<span class="fc" id="L61">            put(l, &quot;host.name&quot;,</span>
<span class="fc" id="L62">                InetAddress.getLocalHost().getCanonicalHostName());</span>
<span class="nc" id="L63">        } catch (UnknownHostException e) {</span>
<span class="nc" id="L64">            put(l, &quot;host.name&quot;, &quot;&lt;NA&gt;&quot;);</span>
<span class="fc" id="L65">        }</span>

<span class="fc" id="L67">        put(l, &quot;java.version&quot;,</span>
<span class="fc" id="L68">                System.getProperty(&quot;java.version&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L69">        put(l, &quot;java.vendor&quot;,</span>
<span class="fc" id="L70">                System.getProperty(&quot;java.vendor&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L71">        put(l, &quot;java.home&quot;,</span>
<span class="fc" id="L72">                System.getProperty(&quot;java.home&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L73">        put(l, &quot;java.class.path&quot;,</span>
<span class="fc" id="L74">                System.getProperty(&quot;java.class.path&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L75">        put(l, &quot;java.library.path&quot;,</span>
<span class="fc" id="L76">                System.getProperty(&quot;java.library.path&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L77">        put(l, &quot;java.io.tmpdir&quot;,</span>
<span class="fc" id="L78">                System.getProperty(&quot;java.io.tmpdir&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L79">        put(l, &quot;java.compiler&quot;,</span>
<span class="fc" id="L80">                System.getProperty(&quot;java.compiler&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L81">        put(l, &quot;os.name&quot;,</span>
<span class="fc" id="L82">                System.getProperty(&quot;os.name&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L83">        put(l, &quot;os.arch&quot;,</span>
<span class="fc" id="L84">                System.getProperty(&quot;os.arch&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L85">        put(l, &quot;os.version&quot;,</span>
<span class="fc" id="L86">                System.getProperty(&quot;os.version&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L87">        put(l, &quot;user.name&quot;,</span>
<span class="fc" id="L88">                System.getProperty(&quot;user.name&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L89">        put(l, &quot;user.home&quot;,</span>
<span class="fc" id="L90">                System.getProperty(&quot;user.home&quot;, &quot;&lt;NA&gt;&quot;));</span>
<span class="fc" id="L91">        put(l, &quot;user.dir&quot;,</span>
<span class="fc" id="L92">                System.getProperty(&quot;user.dir&quot;, &quot;&lt;NA&gt;&quot;));</span>
        
<span class="fc" id="L94">        return l;</span>
    }
    
    public static void logEnv(String msg, Logger log) {
<span class="fc" id="L98">        List&lt;Entry&gt; env = Environment.list();</span>
<span class="fc bfc" id="L99" title="All 2 branches covered.">        for (Entry e : env) {</span>
<span class="fc" id="L100">            log.info(msg + e.toString());</span>
<span class="fc" id="L101">        }</span>
<span class="fc" id="L102">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.7.201606060606</span></div></body></html>